Name:           perl-Test-JSON
Version:        0.06
Release:        3%{?dist}
Summary:        Test JSON data
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Test-JSON/
Source0:        http://www.cpan.org/authors/id/O/OV/OVID/Test-JSON-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(JSON::Any) >= 1.14
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Test::Differences) >= 0.47
BuildRequires:  perl(Test::Simple) >= 0.62
BuildRequires:  perl(Test::Tester) >= 0.103
BuildRequires:  perl(Test::Pod::Coverage) >= 1.04
BuildRequires:  perl(Test::Pod) >= 1.14
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
JavaScript Object Notation (JSON) is a lightweight data interchange format.
Test::JSON makes it easy to verify that you have built valid JSON and that
it matches your expected output.

%prep
%setup -q -n Test-JSON-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
rm -rf $RPM_BUILD_ROOT

./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Dec  4 2009 Stepan Kasal <skasal@redhat.com> - 0.06-3
- rebuild against perl 5.10.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.06-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 05 2009 Allisson Azevedo <allisson@gmail.com> 0.06-1
- Initial rpm release.
